# QGraphicsRectItem Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractGraphicsShapeItem.

### Constructor

- void QGraphicsRectItem(QGraphicsItem parent, QGraphicsScene scene)
- void QGraphicsRectItem(QRectF rect, QGraphicsItem parent, QGraphicsScene scene)
- void QGraphicsRectItem(qreal x, qreal y, qreal w, qreal h, QGraphicsItem parent, QGraphicsScene scene)

### Constructor Properties

- prototype: The QGraphicsRectItem prototype object

### Prototype Object Properties

The QGraphicsRectItem prototype object inherits properties from the QAbstractGraphicsShapeItem prototype object and also has the following properties.

- QRectF rect()
- void setRect(QRectF rect)

### Instance Properties

QGraphicsRectItem objects have no special properties beyond those inherited from the QGraphicsRectItem prototype object.